Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008101TestLinkTest Spec. - Search Test Casespublic2017-10-09 22:212017-10-21 14:21
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008101: GitHub version : default value for custom field of type list in test specification filter menu
DescriptionFilter panel in test specification is initialised with the first value of the list of each custom field.

This initialization in not applied when accessing the test specification page but is applied on each "Update tree after every operation".

The default filter should use an [Any] value, as this is done for standard list fields ("Execution Type")
Steps To Reproduce1) Create a "list" CF, values : value1, value2, value3
2) Link the CF to a project
3) create 4 testcases in project
3.1) For TC1, define the CF with value1
3.2) For TC2, define the CF with value2
3.3) For TC3, define the CF with value3
3.4) For TC4, define the CF with value3
6) Delete TC4 to force update tree
7) check filtered TC : only TC1 is displayed because value1 has been filtered (first value in the list) even if user hasn't ask for it.
Additional Informationdidn't test how that works before http://mantis.testlink.org/view.php?id=7976 [^]

available workaround while a fix is not published :

- hide custom fields => filters are not applied
or
- Reset filter after each automatic update
or
- uncheck the "Update tree after every operation" checkbox and reset the filter
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026929)
fman (administrator)
2017-10-14 15:29
edited on: 2017-10-14 15:34

Thanks, going to fix, adding blank as option is not already present.

(0026930)
fman (administrator)
2017-10-14 16:11

would you mind to check this ?
https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f45e1c8c8bc27afee04418c200cd3c2fa750c3f5 [^]
(0026934)
Mr.Bricodage (updater)
2017-10-15 17:57

With the new implementation, the filter is initialized to show all values.
The filter can be defined with one value (no multiselection - not a problem); the CF filter can be reinitialized.

Well done, thank you.

- Issue History
Date Modified Username Field Change
2017-10-09 22:21 Mr.Bricodage New Issue
2017-10-14 15:29 fman Note Added: 0026929
2017-10-14 15:34 fman Note Edited: 0026929 View Revisions
2017-10-14 16:11 fman Note Added: 0026930
2017-10-14 16:12 fman Assigned To => fman
2017-10-14 16:12 fman Status new => feedback
2017-10-14 16:12 fman QA Team - Task Workflow Status => TBD
2017-10-15 09:04 fman Relationship added child of 0007817
2017-10-15 17:57 Mr.Bricodage Note Added: 0026934
2017-10-15 17:57 Mr.Bricodage Status feedback => assigned
2017-10-21 14:21 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-10-21 14:21 fman Status assigned => resolved
2017-10-21 14:21 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-10-21 14:21 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker